function CorrEY = VARCorEY(mu,A, Cov, horiz);

% calculates correlation of expectations of the 
% endogenos variables at various horizons
% under a VAR1

k = size(A,1);
Ybar = inv(eye(k)-A)*mu;
CovY = reshape( inv(eye(k^2)-kron(A,A))*reshape(Cov,k^2,1), k,k);

for ii = 1:max(horiz),
    CovEY(:,:,ii) = A^(ii)*CovY*(A^(ii))';
    StdEY(:,ii) = sqrt(diag(CovEY(:,:,ii)));
    CorEY(:,:,ii) = CovEY(:,:,ii) ./ (StdEY(:,ii)*StdEY(:,ii)');
end;
