function [uncvarZ, uncAcorZ] = vardecomp(A,Cov,Theta);

% if   Y(t) = muY + AY*Y(t-1) + Cov^(1/2)*eps(t)
% and Z(t) = thetaZ + ThetaZ*Y(t)
% this code calculates variance decompositons for Z

k = size(A,1);
n = size(Theta,1);

% unconditional covariance of VAR
uncvarY = reshape(inv(eye(k^2)-kron(A,A))*reshape(Cov,k^2,1),k,k);

% unconditional coavriance matrix of Z = theta + Theta*Y
uncvarZ = Theta*uncvarY*Theta';

% unconditional cross-autocorrelation matrix
uncAcovZ = Theta*A*uncvarY*Theta';
uncstdZ = sqrt(diag(uncvarZ));
uncAcorZ = uncAcovZ ./ (uncstdZ*uncstdZ');