function [Theta2,R2] = ortho(A,Cov,Theta,e1,e2);  
      

% suppose Y(t) = mu + A*Y(t-1) + Sig*eps(t)
% and Z(t) = theta + Theta*Y(t)
% identify portion of k1th element(s) of Z(t) which is unconditionally orthogonal to
% the k2th elements.  For instance if e11 [1 0 0 ...] e21 = [[0 1 0 0 ...];[0 0 1 ...]];
% then the code finds the piece of the 1st element of
% Z(t) which is orthogonal (and also spanned) by the 2nd and 3rd elements,
% code will fail if the k2 elements are linearly dependent under the VAR
% set up data so that [theta, Theta, mu, A, Cov] = imvec(P,s);
% and output is organized similarly
% allocate mean...

r = 2;
k = size(A,1);
n = size(Theta,1);

VZ  = Theta*reshape(inv(eye(k^2)-kron(A,A))*reshape(Cov,k^2,1),k,k)*Theta';

Theta2 = Theta;
    
B   = inv(e2'*VZ*e2)*(e2'*VZ*e1);

Thd  = e2*B;
Thi  = e1 - Thd;

ThiY = Thi'*Theta;
ThdY = Thd'*Theta;

R2_totl = (B'*(e2'*VZ*e2)*B)./(e1'*VZ*e1);
R2_part = (kron(B',B') .* reshape(e2'*VZ*e2,1,r^2)) ./ (e1'*VZ*e1);

R2 = [sum(R2_part(1:2)) sum(R2_part(3:4)) R2_totl]; 


Theta2 = [Theta2; ThdY; ThiY];
